
@import url('https://fonts.googleapis.com/css?family=PT Sans Narrow:400,400i,700,700i&display=swap');

* {
	box-sizing: border-box;
}

html {
	font-size: 16px;
}

/* базовый формат */
.base {
	color: #222;
	width: 100%;
	margin: 0;
	padding: 0;
  font-family: 'PT Sans Narrow', sans-serif;
	background: #FFFFFF;
}







/* Шапка */

.container-header {
	display: flex;
  flex-direction: row;
  justify-content: space-between;
	align-items: center;
  border: none;
  padding: 0;
	width: 100%;
	height: auto;
	overflow: visible;
	margin: 0 auto;

}
/* i */
.container-head {

	display: grid;

	grid-template: "d" auto
								 "e" auto ;
								 
	align-items: center;
	justify-content: center;
  border: none;
  padding: 0;
	width: 45%;
	overflow: visible;
	color: #FFFFFF;
  letter-spacing: 5px;
	text-shadow: 3px 3px 20px #022140, 
    -2px 1px 30px #022140;
	
/*
font-family: 'Ubuntu', sans-serif;
  letter-spacing: 5px;
  color: #CCCCCC;
  -webkit-text-stroke: 1px #F8F8F8;
  text-shadow: 0px 2px 4px blue;
	*/
}




.caption1 {
	grid-area: d;
}

.caption2 {
	grid-area: e;
	
}




.iscra {
	font-size: 2rem;
	text-align: center;
	font-weight: 700;
	margin: 0;
	padding: 0 .5rem;
	 
	
	/*
	color: #CCCCCC;
  letter-spacing: 5px;
	text-shadow: 3px 3px 20px #6666FF, 
    -2px 1px 30px #6666FF;
	*/
	
	
	width: 100%;
}

.vect {
	font-size: 1.3rem;
	text-align: center;
	margin: 0;
	padding: 0 .5rem;
	 
	
	/*
	font-family: 'Ubuntu', sans-serif;
  letter-spacing: 5px;
  color: #CCCCCC;
  -webkit-text-stroke: 1px #F8F8F8;
  text-shadow: 0px 2px 4px blue;
	*/
	width: 100%;
}

.vect::first-letter {
	font-size: 1.8rem;
	font-weight: 900;
}



.headcaption {
	width: 45%;
	text-align: center;
  font-size: 3rem;
  font-weight: bold;
  color: #FFFFFF; 
  letter-spacing: 5px;
  text-shadow: 3px 3px 20px #022140,
    -2px 1px 30px #022140;
	
	
	/*
  font-family: 'Ubuntu', sans-serif;
  
  color: #CCCCCC;
  -webkit-text-stroke: 1px #F8F8F8;
  text-shadow: 0px 2px 4px blue;
	*/
	
}

/* позиционируем шапку */
.block-header {
	grid-area: a;
}


/* ================  шапка i */







/* меню */
.information-menu {
	width: auto;
	height: auto;
	overflow: hidden;
	padding: 10px;
	background: transparent;
	margin: 0 auto;


	border-radius: 20px; /*закругление углов (общее) */
   -webkit-border-radius: 20px; /*закругление углов (Google Chrome) */
   -moz-border-radius: 20px; /*закругление углов (FireFox) */
   -khtml-border-radius: 20px; /*закругление углов (Safari) */


	 box-shadow: 0px 1px 2px rgba(2, 33, 64,0.1),
            0px 2px 4px rgba(2, 33, 64,0.1),
            0px 4px 8px rgba(2, 33, 64,0.1),
            0px 8px 16px rgba(2, 33, 64,0.1);



	 -webkit-box-shadow: 0px 1px 2px 5px rgba(2, 33, 64,0.1),
            0px 2px 4px 5px rgba(2, 33, 64,0.1),
            0px 4px 8px 5px rgba(2, 33, 64,0.1),
            0px 8px 16px 5px rgba(2, 33, 64,0.1);

	 -moz-box-shadow: 0px 1px 2px 5px rgba(2, 33, 64,0.1),
            0px 2px 4px 5px rgba(2, 33, 64,0.1),
            0px 4px 8px 5px rgba(2, 33, 64,0.1),
            0px 8px 16px 5px rgba(2, 33, 64,0.1);

	 -khtml-box-shadow: 0px 1px 2px 5px rgba(2, 33, 64,0.1),
            0px 2px 4px 5px rgba(2, 33, 64,0.1),
            0px 4px 8px 5px rgba(2, 33, 64,0.1),
            0px 8px 16px 5px rgba(2, 33, 64,0.1);


}






.button-menu-link {
	width: 9rem;
	height: 3rem;
	border: none;
  border-top-left-radius: 1rem;
	border-bottom-left-radius: 1rem;

	-webkit-border-top-left-radius: 1rem; /*закругление углов (Google Chrome) */
   -moz-border-top-left-radius: 1rem; /*закругление углов (FireFox) */
   -khtml-border-top-left-radius: 1rem; /*закругление углов (Safari) */

	 -webkit-border-bottom-left-radius: 1rem; /*закругление углов (Google Chrome) */
   -moz-border-bottom-left-radius: 1rem; /*закругление углов (FireFox) */
   -khtml-border-bottom-left-radius: 1rem; /*закругление углов (Safari) */

	color: #FFFFFF;
  padding: .5rem 1rem;
  text-transform: uppercase;
  font-weight: 500;
	margin: .5rem 0;
}
.button-menu-link:disabled {
	background: #202020; 
	cursor: not-allowed;
	
}

.button-menu-link:enabled {
	background: #022140; 
	cursor: pointer;

}

.button-menu-reload {
	width: 3rem;
	height: 3rem;
	border: none;
  border-top-right-radius: 1rem;
	border-bottom-right-radius: 1rem;

	-webkit-border-top-right-radius: 1rem; /*закругление углов (Google Chrome) */
   -moz-border-top-right-radius: 1rem; /*закругление углов (FireFox) */
   -khtml-border-top-right-radius: 1rem; /*закругление углов (Safari) */

	-webkit-border-bottom-right-radius: 1rem; /*закругление углов (Google Chrome) */
   -moz-border-bottom-right-radius: 1rem; /*закругление углов (FireFox) */
   -khtml-border-bottom-right-radius: 1rem; /*закругление углов (Safari) */

	color: #FFFFFF;
  padding: .5rem .5rem;
  text-transform: uppercase;
  font-weight: 500;
	margin: .5rem 0;
}
.button-menu-reload:disabled {
	background: #202020; /* #ff1d58;*/
	cursor: not-allowed;
}

.button-menu-reload:enabled {
	background: #022140;
	cursor: pointer;

}


.button-menu-exit {
	width: 11rem;
	height: 3rem;
	border: none;
  border-radius: 1rem;

	-webkit-border-radius: 1rem; /*закругление углов (Google Chrome) */
   -moz-border-radius: 1rem; /*закругление углов (FireFox) */
   -khtml-border-radius: 1rem; /*закругление углов (Safari) */

	background: #022140;
	color: #FFFFFF;
	cursor: pointer;

  padding: .5rem 1rem;
  text-transform: uppercase;
  font-weight: 500;
	margin: .5rem 0;
}
/* =========== меню i */




/* Позиционируем блок меню */
.block-menu {
	grid-area: c;
}


/* Позиционируем центральный блок */

.block-center {
	grid-area: b;
}



/* контейнер для страницы авторизации */
.container-authorization {
	display: grid;

	grid-template: 	"a a ." 35%
									". b ." auto / 20% 60% 20%;


  justify-content: center;
	align-items: flex-start;
  border: none;
  padding: 0;
	width: 100%;
	overflow: visible;
	height: 100%;
}

/* ============= */







/* контейнер для страницы сайта */
.container-page {
	display: grid;

	grid-template: 	"a a ." 15em
									"c b ." auto 
									 ". . ." 30px/ 20% 60% 20%;


  justify-content: center;
	align-items:  flex-start;
  border: none;
  padding: 0;
	width: 100%;
	overflow: visible;
	
}

/* ============= */






/* Страница авторизации */

.authorization {
	height: auto;
  margin: 0 auto;
	padding: 10pt 20pt;
  max-width: 420px;
  overflow: visible;
  text-align: center;
	align-items: center;
	
	border-radius: 20px; /*закругление углов (общее) */
   -webkit-border-radius: 20px; /*закругление углов (Google Chrome) */
   -moz-border-radius: 20px; /*закругление углов (FireFox) */
   -khtml-border-radius: 20px; /*закругление углов (Safari) */


	 box-shadow: 0px 1px 2px rgba(2, 33, 64,0.1),
            0px 2px 4px rgba(2, 33, 64,0.1),
            0px 4px 8px rgba(2, 33, 64,0.1),
            0px 8px 16px rgba(2, 33, 64,0.1);



	 -webkit-box-shadow: 0px 1px 2px 5px rgba(2, 33, 64,0.1),
            0px 2px 4px 5px rgba(2, 33, 64,0.1),
            0px 4px 8px 5px rgba(2, 33, 64,0.1),
            0px 8px 16px 5px rgba(2, 33, 64,0.1);

	 -moz-box-shadow: 0px 1px 2px 5px rgba(2, 33, 64,0.1),
            0px 2px 4px 5px rgba(2, 33, 64,0.1),
            0px 4px 8px 5px rgba(2, 33, 64,0.1),
            0px 8px 16px 5px rgba(2, 33, 64,0.1);

	 -khtml-box-shadow: 0px 1px 2px 5px rgba(2, 33, 64,0.1),
            0px 2px 4px 5px rgba(2, 33, 64,0.1),
            0px 4px 8px 5px rgba(2, 33, 64,0.1),
            0px 8px 16px 5px rgba(2, 33, 64,0.1);

}


/* i */
.input-css-authorization {
	border: none; /*1px solid #cccccc; /*цвет рамки */
  border-radius: 10px; /*закругление углов (общее) */
   -webkit-border-radius: 10px; /*закругление углов (Google Chrome) */
   -moz-border-radius: 10px; /*закругление углов (FireFox) */
   -khtml-border-radius: 10px; /*закругление углов (Safari) */
  background: #ffffff !important; /* желательно прописывать, так как в Chrome при сохранных данных оно может быть желтым */
  outline: none; /* удаляет обводку в браузерах хром(желтая) и сафари(синяя) */
  height: 40px; /* высота на свое усмотрение */
  width: 200px; /* ширина на свое усмотрение */
  color: #FFFFFF; /* цвет шрифта в обычном состоянии */
  font-size: 17px; /* Размер шрифта */
	text-align: center;

}


.input-css-authorization:focus {
  color: #000000;
  border: 2px solid #000000;
	/*background-color: #fff;

	/*box-shadow: 0.2rem 0.2rem 0.2rem 0.2rem #32CD32;*/
}




/* i */
.button_authorization {
	width: 200px;
	height: 40px;
	margin:  10px 0;
	border: none;
  border-radius: 10px;
  padding: 10px 25px;
	color: #FFFFFF;
  text-transform: uppercase;
	font-size: 20px;
  font-weight: 500;
	background: #022140;
	cursor: pointer;
}

.button_authorization:hover {
	box-shadow: 5px 5px 10px rgba( 2, 33, 64, .5) ;
}

/* Конец страницы авторизации i */






/* информационный блок */
.information {
	max-width: 42rem;
	min-width: 40rem;
	height: auto;
	overflow: hidden;
	margin: 0 auto;
	padding: 1rem 2rem;
	position: relative;
	background: transparent;
	text-align: center;


	border-radius: 2rem; /*закругление углов (общее) */
   -webkit-border-radius: 2rem; /*закругление углов (Google Chrome) */
   -moz-border-radius: 2rem; /*закругление углов (FireFox) */
   -khtml-border-radius: 2rem; /*закругление углов (Safari) */


	 box-shadow: 0px 1px 2px rgba(2, 33, 64,0.1),
            0px 2px 4px rgba(2, 33, 64,0.1),
            0px 4px 8px rgba(2, 33, 64,0.1),
            0px 8px 16px rgba(2, 33, 64,0.1);



	 -webkit-box-shadow: 0px 1px 2px 5px rgba(2, 33, 64,0.1),
            0px 2px 4px 5px rgba(2, 33, 64,0.1),
            0px 4px 8px 5px rgba(2, 33, 64,0.1),
            0px 8px 16px 5px rgba(2, 33, 64,0.1);

	 -moz-box-shadow: 0px 1px 2px 5px rgba(2, 33, 64,0.1),
            0px 2px 4px 5px rgba(2, 33, 64,0.1),
            0px 4px 8px 5px rgba(2, 33, 64,0.1),
            0px 8px 16px 5px rgba(2, 33, 64,0.1);

	 -khtml-box-shadow: 0px 1px 2px 5px rgba(2, 33, 64,0.1),
            0px 2px 4px 5px rgba(2, 33, 64,0.1),
            0px 4px 8px 5px rgba(2, 33, 64,0.1),
            0px 8px 16px 5px rgba(2, 33, 64,0.1);

}

/* конец информационный блок */












/*  поиск по адресу страницы список абонентов и абоненты изернет */

.container-search-by-address {
  display: grid;

		grid-template: ". sa . sb ." auto
									 ". sc . sd ." auto
									 ". se . sf ." auto
									 ". sg sg sg ." auto
									 "sh sh sh sh sh" auto/ 10% 37% 6% 37% 10%;

  justify-content: inherit;
	align-items: stretch;
  border: none;
  padding: 0;
	width: 100%;
	margin-bottom: 10px;
	overflow: hidden;
}


.search-domain { grid-area: sa; }
.search-street { grid-area: sb; }
.search-house { grid-area: sc; }
.search-build_sect { grid-area: sd; }
.search-flat { grid-area: se; }
.search-room { grid-area: sf; }
.search-switch { grid-area: sg; }
.search-button { grid-area: sh; }



/* конец таблица поиск по адресу */










/* стрница поиск по номеру */
.container-column-search {
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: stretch;
	border: none;
	padding: 0;
	overflow: hidden;

}


/* таблица поиск по номеру */
/*
.container-by-contract {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
	align-items: center;
  border: none;
	width: 100%;
	overflow: hidden;
	height: auto;
}
*/


.search-by-contract {
	 width: 33%;
	 padding: .5rem 0;
}



/* левые и правые поля таблицы результат */
.field-left-search-result {
	display: flex;
	align-items: center;
	margin-right: 5px;
	vertical-align: middle;
	width: 39.5%;
	justify-content: flex-end;
  font-size: 1.3rem;
	color: #022140;
  box-sizing: border-box;
	font-weight: 500;
}

.field-right-search-result {
	display: flex;
	align-items: center;
	margin-left:  5px;
	vertical-align: middle;
	width: 69.5%;
  height: auto;
	justify-content: flex-start;
  font-size: 1.2rem;
	color: #022140;
  box-sizing: border-box;
	font-weight: 400;
}





/* форматируем поле для вывода информации */
.input-details {
  border: none;
  display: inline;
  font-family: inherit;
  font-size: inherit;
  padding: 0;
  width: 95%;
	background: transparent;
	cursor: inherit;
	color: #022140;
}

.input-details:focus {
		outline: none;
}


/* форматируем поле для ввода информации */
.enter-details {
  border: none;
  display: inline;
  font-family: inherit;
  font-size: inherit;
  padding: 0;
  width: 95%;
	background: transparent;
	cursor: inherit;
	color: #022140;
}

.enter-details:focus {
		/*outline: none;*/
		border: solid;
}



/* форматируем поле ввода для поиска адреса */
.input-css-search {
	border: none; /*цвет рамки */
  border-radius: 1rem; /*закругление углов (общее) */
   -webkit-border-radius: 1rem; /*закругление углов (Google Chrome) */
   -moz-border-radius: 1rem; /*закругление углов (FireFox) */
   -khtml-border-radius: 1rem; /*закругление углов (Safari) */
  background: #ffffff; /* желательно прописывать, так как в Chrome при сохранных данных оно может быть желтым */
  outline: none; /* удаляет обводку в браузерах хром(желтая) и сафари(синяя) */
  height: 2rem; /* высота на свое усмотрение */
  width: 10rem; /* ширина на свое усмотрение */
  color: #000000; /* цвет шрифта в обычном состоянии */
  font-size: 17px; /* Размер шрифта */
	text-align: center;

	box-shadow: 0px 1px 2px 2px rgba(2, 33, 64,0.1),
					 0px 2px 4px 2px rgba(2, 33, 64,0.1),
					 0px 4px 8px 2px rgba(2, 33, 64,0.1),
					 0px 8px 16px 2px rgba(2, 33, 64,0.1);



	-webkit-box-shadow: 0px 1px 2px 2px rgba(2, 33, 64,0.1),
					 0px 2px 4px 2px rgba(2, 33, 64,0.1),
					 0px 4px 8px 2px rgba(2, 33, 64,0.1),
					 0px 8px 16px 2px rgba(2, 33, 64,0.1);

	-moz-box-shadow: 0px 1px 2px 2px rgba(2, 33, 64,0.1),
					 0px 2px 4px 2px rgba(2, 33, 64,0.1),
					 0px 4px 8px 2px rgba(2, 33, 64,0.1),
					 0px 8px 16px 2px rgba(2, 33, 64,0.1);

	-khtml-box-shadow: 0px 1px 2px 2px rgba(2, 33, 64,0.1),
					 0px 2px 4px 2px rgba(2, 33, 64,0.1),
					 0px 4px 8px 2px rgba(2, 33, 64,0.1),
					 0px 8px 16px 2px rgba(2, 33, 64,0.1);
	margin: 5px 0;

}

.input-css-search:focus {
		-webkit-background: #ffffff;
}











/* поле для коментариев */
.textarea-css-search {
	border: none; /*цвет рамки */
  border-radius: 10px; /*закругление углов (общее) */
   -webkit-border-radius: 10px; /*закругление углов (Google Chrome) */
   -moz-border-radius: 10px; /*закругление углов (FireFox) */
   -khtml-border-radius: 10px; /*закругление углов (Safari) */
  background: #ffffff; /* желательно прописывать, так как в Chrome при сохранных данных оно может быть желтым */
  outline: none; /* удаляет обводку в браузерах хром(желтая) и сафари(синяя) */
  height: 100px; /* высота на свое усмотрение */
  width: 100%; /* ширина на свое усмотрение */
  color: #000000; /* цвет шрифта в обычном состоянии */
  font-size: 17px; /* Размер шрифта */
	text-align: left;
	margin: 10px;
	/*cols="40"
	rows="10"*/
	box-shadow: 0px 1px 2px rgba(2, 33, 64,0.1),
					 0px 2px 4px rgba(2, 33, 64,0.1),
					 0px 4px 8px rgba(2, 33, 64,0.1),
					 0px 8px 16px rgba(2, 33, 64,0.1);



	-webkit-box-shadow: 0px 1px 2px 5px rgba(2, 33, 64,0.1),
					 0px 2px 4px 5px rgba(2, 33, 64,0.1),
					 0px 4px 8px 5px rgba(2, 33, 64,0.1),
					 0px 8px 16px 5px rgba(2, 33, 64,0.1);

	-moz-box-shadow: 0px 1px 2px 5px rgba(2, 33, 64,0.1),
					 0px 2px 4px 5px rgba(2, 33, 64,0.1),
					 0px 4px 8px 5px rgba(2, 33, 64,0.1),
					 0px 8px 16px 5px rgba(2, 33, 64,0.1);

	-khtml-box-shadow: 0px 1px 2px 5px rgba(2, 33, 64,0.1),
					 0px 2px 4px 5px rgba(2, 33, 64,0.1),
					 0px 4px 8px 5px rgba(2, 33, 64,0.1),
					 0px 8px 16px 5px rgba(2, 33, 64,0.1);

	resize: none;
}


.textarea-css-search:focus {
	outline: none;
}


/* кнопки поиска договора */
.button-search {
	width: 10rem;
}


/* выбор заявки */
#damage {
	width: 100%;
}

/* кнопки управления */
.container #list_damage{
	width: 3rem;
}


.container #add_damage{
	width: 3rem;
}


.container #pay_and_charge{
	width: 3rem;
}
/* конец блока поиск по адресу */






/*Заявки  */
.damage-number {
	width: 13%;
}

.damage-date {
	width: 27%;
}

.damage-contract {
	width: 15%;
}


.damage-address {
	width: 45%;
}

/* ===== заявки i */




/* список абонентов  */
.contract-number {
	width: 16%;
}

.contract-address {
	width: 44%;
}

.contract-tariff {
	width: 20%;
}


.contract-status {
	width: 20%;
}

/* ===== список абонентов i */












/* ====================== */


/*  Заявки по договору  */

.contract-damage-number {
	width: 10%;
}


.contract-damage-date {
	width: 35%;
}



.contract-damage-type {
	width: 55%;
}

/* ====================== i */






/* информация по заявке */

.container-button-add-comment {
	width: 30%;
}

.container-button-go-to-contract {
	width: 30%;
}

.container-button-cancel-damage {
	width: 30%;
}

.container #add-comment{
	width: 3rem;
}


.container #go-to-contract{
	width: 3rem;
}

.container #close-damage{
	width: 3rem;
}


/* ================ i */



/* платёжные операции i */

.payment-date {
	width: 20%;
}


.payment-summ {
	width: 20%;
}


.payment-type-of-operation {
	width: 60%;
}


/* ===================== i */




/* детали платежа */
.field-left-payment-details {
	display: flex;
	align-items: center;
	margin-right: 5px;
	vertical-align: middle;
	width: 50%;
	justify-content: flex-end;
  font-size: 1.3rem;
	color: #022140;
  box-sizing: border-box;
	font-weight: 500;
}

.field-right-payment-details {
	display: flex;
	align-items: center;
	margin-left:  5px;
	vertical-align: middle;
	width: 50%;
  height: auto;
	justify-content: flex-start;
  font-size: 1.2rem;
  box-sizing: border-box;
	font-weight: 400;
}
/* =================================== */





/* абоненты ethernet по коммутатору  */
.contract-ethernet-number {
	width: 15%;
}

.contract-ethernet-address {
	width: 50%;
}

.contract-ethernet-status {
	width: 25%;
}


.contract-ethernet-port {
	width: 10%;
}

/* ===== заявки i */












/* общие элементы */
.container {
  display: flex;
  flex-direction: row;
  justify-content: space-evenly;
		align-items: center;
  border: none;
  padding: 0;
		width: 100%;
		overflow: hidden;
}

.container-column {
		display: flex;
  flex-direction: column;
  justify-content: inherit;
		align-items: stretch;
  border: none;
  padding: 0;
		width: 100%;
		overflow: hidden;
}

.heading {
	font-size: 2rem;
	color: #022140; /* #333366; */
}

.sub-heading {
	margin: 10px 0px 5px 0px;
	font-size: 1.5rem;
	font-weight: 500;
	color: #022140;
}


.container-one-section{
	display: flex;
	align-items: center;
	justify-content: center;
	width: 100%;
	overflow: hidden;
}




/*  поля таблиц  */
.table-heading {
	margin: 0px 10px;
	text-align: center;
	font-size: 1.5rem;
	font-weight: 500;
	color: #022140;
}


.table-data {
	display: flex;
	align-items: center;
	margin: 0px 10px;
	font-size: 1.1rem;
	color: #022140;
	justify-content: flex-start;
	word-wrap: break-word;
  
}
/* ====== поля таблиц */


/* вывод комментария */
.textarea-css-only-out {
	border: none; /*цвет рамки */
  border-radius: 10px; /*закругление углов (общее) */
   -webkit-border-radius: 10px; /*закругление углов (Google Chrome) */
   -moz-border-radius: 10px; /*закругление углов (FireFox) */
   -khtml-border-radius: 10px; /*закругление углов (Safari) */
  background: transparent; /* желательно прописывать, так как в Chrome при сохранных данных оно может быть желтым */
  outline: none; /* удаляет обводку в браузерах хром(желтая) и сафари(синяя) */
  height: 100px; /* высота на свое усмотрение */
  width: 100%; /* ширина на свое усмотрение */
  color: #022140; /* цвет шрифта в обычном состоянии */
  font-size: 17px; /* Размер шрифта */
	text-align: left;
	margin: 10px;
	/*cols="40"
	rows="10"*/


	resize: none;
}


.textarea-css-only-out:focus {
	outline: none;
}






/* кнопки */
.button-sub-action {
	height: 2rem;
	border: none;
	padding: 0;
  font-weight: 500;
	color: #FFFFFF;
	margin: .5rem 0;
  border-radius: 1rem;
	-webkit-border-radius: 1rem; /*закругление углов (Google Chrome) */
   -moz-border-radius: 1rem; /*закругление углов (FireFox) */
   -khtml-border-radius: 1rem; /*закругление углов (Safari) */
  text-transform: uppercase;
	
}
.button-sub-action:disabled {
	background: #202020; /* #ff1d58;*/
	cursor: not-allowed;
}

.button-sub-action:enabled {
	background: #022140; 
	cursor: pointer;
}

.button-sub-action:enabled:hover {
	 box-shadow: 5px 5px 10px rgba( 2, 33, 64, .5) ;
}



/* кнопки с иконкой */
.button-with_icon {
	height: 2rem;
	width: 3rem;
	border: none;
	padding: 0;
  font-weight: 500;
	color: #FFFFFF;
	margin: .5rem 0;
  border-radius: 1rem;
	-webkit-border-radius: 1rem; /*закругление углов (Google Chrome) */
   -moz-border-radius: 1rem; /*закругление углов (FireFox) */
   -khtml-border-radius: 1rem; /*закругление углов (Safari) */
  text-transform: uppercase;
	
}
.button-with_icon:disabled {
	background: #FFFFFF; /* #ff1d58;*/
	cursor: not-allowed;
}

.button-with_icon:enabled {
	background: #FFFFFF; 
	cursor: pointer;
}
/*
.button-with_icon:enabled:hover {
	 box-shadow: 5px 5px 10px rgba( 2, 33, 64, .5) ;
}
*/







/* i */
.button-for-table {
	border: none;
  border-radius: 10px;
	-webkit-border-radius: 10px; /*закругление углов (Google Chrome) */
   -moz-border-radius: 10px; /*закругление углов (FireFox) */
   -khtml-border-radius: 10px; /*закругление углов (Safari) */
  padding: 5px 10px;
	margin: 5px 0;
	width: auto;
	height: auto;

	background: #022140;
	color: #FFFFFF;
  text-transform: uppercase;
	/*font-size: 0.8rem;*/
  font-weight: 500;
	cursor: pointer;
}



.button-for-table:hover {
	box-shadow: 2px 2px 4px rgba( 255,255,204, /*51, 51, 102, */  0.5) ;
}


/* сноска */
.footnote-text {
	margin-bottom: 20px;
	font-size: 1rem;
	color: #022140;
	text-align: left;
}
/* ===== i */





/* модальное окно */
/* слой затемнения */
.form-popup {

	position: fixed;
  top: 0;
  left: 0;
  background: rgba(0, 0, 0, 0.65);
  display: none;
  overflow: auto;
  width: 100%;
  height: 100%;
  z-index: 1000;
}



/* активируем слой затемнения и модальное окно i */
.form-popup:target {
    display: block;
/* анимация и время задержки */
    -webkit-animation: fade .6s;
    -moz-animation: fade .6s;
    animation: fade .6s;
}
/* блочная таблица */
.dm-table {
    display: table;
    width: 100%;
    height: 100%;
}
/* ячейка блочной таблицы */
.dm-cell {
    display: table-cell;
    padding: 0 1em;
    vertical-align: middle;
    text-align: center;
}
/* модальный блок */
.dm-modal {
    display: inline-block;
    padding: 20px;
/* максимально возможная ширина */
    max-width: 50em;
    background: #FFFFFF;  /*#607d8b;*/
/* внешняя тень блока */
    -webkit-box-shadow: 0px 15px 20px rgba(0, 0, 0, 0.22), 0px 19px 60px rgba(0, 0, 0, 0.3);
    -moz-box-shadow: 0px 15px 20px rgba(0, 0, 0, 0.22), 0px 19px 60px rgba(0, 0, 0, 0.3);
    box-shadow: 0px 15px 20px rgba(0, 0, 0, 0.22), 0px 19px 60px rgba(0, 0, 0, 0.3);
    color: #cfd8dc;
    text-align: left;
/* анимация и время задержки */
    -webkit-animation: fade .8s;
    -moz-animation: fade .8s;
    animation: fade .8s;
}














/* комбобокс */

.select-css {
font-size: 16px;
font-family: sans-serif;
font-weight: 700;
color: #444;
line-height: 1.3;
padding: .3em 1.4em .2em .8em; width: 100%;
max-width: 100%;
box-sizing: border-box;
margin: 0;
border: none; /*1px solid #aaa;*/
 box-shadow: 0 1px 0 1px rgba(0,0,0,.04);


border-radius: .5em;
 -moz-appearance: none;
 -webkit-appearance: none;
 appearance: none;
 background-color: #fff;
background-image: url('data:image/svg+xml;charset=US-ASCII,%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20width%3D%22292.4%22%20height%3D%22292.4%22%3E%3Cpath%20fill%3D%22%23007CB2%22%20d%3D%22M287%2069.4a17.6%2017.6%200%200%200-13-5.4H18.4c-5%200-9.3%201.8-12.9%205.4A17.6%2017.6%200%200%200%200%2082.2c0%205%201.8%209.3%205.4%2012.9l128%20127.9c3.6%203.6%207.8%205.4%2012.8%205.4s9.2-1.8%2012.8-5.4L287%2095c3.5-3.5%205.4-7.8%205.4-12.8%200-5-1.9-9.2-5.5-12.8z%22%2F%3E%3C%2Fsvg%3E'), linear-gradient(to bottom, #ffffff 0%,#e5e5e5 100%);
background-repeat: no-repeat, repeat;
background-position: right .7em top 50%, 0 0;
background-size: .65em auto, 100%;
}
 .select-css::-ms-expand { display: none; }
 .select-css:hover { border-color: #888; }
 .select-css:focus { border-color: #aaa;
 box-shadow: 0 0 1px 3px rgba(59, 153, 252, .7);
 box-shadow: 0 0 0 3px -moz-mac-focusring;
color: #222;
 outline: none;
}
 .select-css option { font-weight:normal; }
 *[dir="rtl"] .select-css, :root:lang(ar) .select-css, :root:lang(iw) .select-css {
background-position: left .7em top 50%, 0 0;
padding: .6em .8em .5em 1.4em;
}







/* Фильтр заявок по участку */
.container-filter-by-domain {
  display: grid;

		grid-template: ". sa ." auto
									 ". sg ." auto/ 10% 80% 10%;

  justify-content: inherit;
	align-items: stretch;
  border: none;
  padding: 0;
	width: 100%;
	margin-bottom: 10px;
	overflow: hidden;
}


.filter-domain { grid-area: sa; }
.filter-button { grid-area: sg; }



.container-column-filter {
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: stretch;
	border: none;
	padding: 0;
	overflow: hidden;

}








